ON_MeshNgonList Class Reference

`#include <pcl/surface/3rdparty/opennurbs/opennurbs_mesh.h>`

## Public Member Functions

| ON_MeshNgonList ()
| ~ON_MeshNgonList ()
| ON_MeshNgonList (const ON_MeshNgonList &)
ON_MeshNgonList & | operator= (const ON_MeshNgonList &)
bool | AddNgon (int N, const int *vi, const int *fi)
struct ON_MeshNgon * | AddNgon (int N)
int | NgonCount () const
ON_MeshNgon * | Ngon (int Ngon_index) const
bool | ReserveNgonCapacity (int capacity)
void | Destroy ()
unsigned int | SizeOf () const

## Detailed Description

Definition at line 826 of file opennurbs_mesh.h.

## Constructor & Destructor Documentation

## ON_MeshNgonList() [1/2]

ON_MeshNgonList::ON_MeshNgonList | ( |  | ) |

## ~ON_MeshNgonList()

ON_MeshNgonList::~ON_MeshNgonList | ( |  | ) |

## ON_MeshNgonList() [2/2]

ON_MeshNgonList::ON_MeshNgonList | ( | const ON_MeshNgonList & |  | ) |

## Member Function Documentation

## AddNgon() [1/2]

bool ON_MeshNgonList::AddNgon | ( | int | N,
|  | const int * | vi,
|  | const int * | fi
| ) |  |

## AddNgon() [2/2]

struct ON_MeshNgon* ON_MeshNgonList::AddNgon | ( | int | N | ) |

## Destroy()

void ON_MeshNgonList::Destroy | ( |  | ) |

## Ngon()

ON_MeshNgon* ON_MeshNgonList::Ngon | ( | int | Ngon_index | ) | const

## NgonCount()

int ON_MeshNgonList::NgonCount | ( |  | ) | const

## operator=()

ON_MeshNgonList& ON_MeshNgonList::operator= | ( | const ON_MeshNgonList & |  | ) |

## ReserveNgonCapacity()

bool ON_MeshNgonList::ReserveNgonCapacity | ( | int | capacity | ) |

## SizeOf()

unsigned int ON_MeshNgonList::SizeOf | ( |  | ) | const

The documentation for this class was generated from the following file:

- /build/pcl-qv3n_B/pcl-1.8.1+dfsg1/surface/include/pcl/surface/3rdparty/opennurbs/opennurbs_mesh.h